[Pkg-mono-svn-commits] [SCM] mono-tools branch, master, updated. debian/2.10-4-3-g995c169

Iain Lane laney at debian.org
Thu Jul 12 11:13:31 UTC 2012


The following commit has been merged in the master branch:
commit f5fdaf078c4d5431ad334bfd455addd00916676c
Author: Iain Lane <laney at debian.org>
Date:   Thu Jul 12 11:35:20 2012 +0100

    Ignore failures in the postinst trigger
    
    It's difficult to guarantee what's going to be available when the
    trigger is run. We might as well not fail if running any of the commands
    fails, since that's no worse than not registering the packages.

diff --git a/debian/monodoc-browser.postinst b/debian/monodoc-browser.postinst
index 06d4502..5b83f65 100644
--- a/debian/monodoc-browser.postinst
+++ b/debian/monodoc-browser.postinst
@@ -18,19 +18,22 @@ case "$1" in
 
         # Try to register stuff manually (these commands are idempotent, so
         # it'll be fine when the real postinst is run later on)
+
+        # We ignore all failures here. Either the stuff can be registered now—
+        # in which case we'll do it—or it can't, in which case we cannot
+        # proceed anyway. Failure isn't harmful.
         mono_gac_status=`dpkg-query -f '${Status}' -W mono-gac`
         if [ "$mono_gac_status" != "install ok installed" -a \
             -x /usr/share/cli-common/gac-install ]; then
-            /usr/share/cli-common/gac-package-install mono
+            /usr/share/cli-common/gac-package-install mono || true
         fi
 
         libgtk_cil_status=`dpkg-query -f '${Status}' -W libgtk2.0-cil`
         if [ "$libgtk_cil_status" != "install ok installed" -a \
             -x /usr/share/cli-common/gac-package-install ]; then
-            /usr/share/cli-common/gac-package-install libgtk2.0-cil
+            /usr/share/cli-common/gac-package-install libgtk2.0-cil || true
         fi
 
-        # Now don't fail; we've done the best we can.
         /usr/bin/update-monodoc || true
 
         ;;

-- 
mono-tools



More information about the Pkg-mono-svn-commits mailing list